Bug 1351340 - [abrt] x2goclient: ssh_poll_ctx_remove(): x2goclient killed by SIGSEGV
Summary: [abrt] x2goclient: ssh_poll_ctx_remove(): x2goclient killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goclient
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:211f1db5d781a6371b0efac2d7b...
: 1388408 1409257 1418440 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-29 19:22 UTC by Thomas Wöckinger
Modified: 2017-12-12 10:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1513432 (view as bug list)
Environment:
Last Closed: 2017-12-12 10:35:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (37.97 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: cgroup (148 bytes, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: core_backtrace (4.07 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: dso_list (12.99 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: environ (1.65 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: exploitable (82 bytes, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: maps (67.90 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: mountinfo (3.26 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: open_fds (904 bytes, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-06-29 19:22 UTC, Thomas Wöckinger
no flags Details

Description Thomas Wöckinger 2016-06-29 19:22:18 UTC
Version-Release number of selected component:
x2goclient-4.0.5.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     5574
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ssh_poll_ctx_remove at /usr/src/debug/libssh-0.7.3/src/poll.c:564
 #1 ssh_poll_free at /usr/src/debug/libssh-0.7.3/src/poll.c:311
 #2 ssh_socket_close at /usr/src/debug/libssh-0.7.3/src/socket.c:447
 #3 ssh_client_connection_callback at /usr/src/debug/libssh-0.7.3/src/client.c:436
 #4 ssh_socket_nonblocking_flush at /usr/src/debug/libssh-0.7.3/src/socket.c:667
 #5 ssh_socket_write at /usr/src/debug/libssh-0.7.3/src/socket.c:622
 #6 ssh_packet_write at /usr/src/debug/libssh-0.7.3/src/packet.c:509
 #7 packet_send2 at /usr/src/debug/libssh-0.7.3/src/packet.c:579
 #8 packet_send at /usr/src/debug/libssh-0.7.3/src/packet.c:604
 #9 channel_open at /usr/src/debug/libssh-0.7.3/src/channels.c:296

Potential duplicate: bug 1294212

Comment 1 Thomas Wöckinger 2016-06-29 19:22:22 UTC
Created attachment 1174165 [details]
File: backtrace

Comment 2 Thomas Wöckinger 2016-06-29 19:22:23 UTC
Created attachment 1174166 [details]
File: cgroup

Comment 3 Thomas Wöckinger 2016-06-29 19:22:24 UTC
Created attachment 1174167 [details]
File: core_backtrace

Comment 4 Thomas Wöckinger 2016-06-29 19:22:26 UTC
Created attachment 1174168 [details]
File: dso_list

Comment 5 Thomas Wöckinger 2016-06-29 19:22:27 UTC
Created attachment 1174170 [details]
File: environ

Comment 6 Thomas Wöckinger 2016-06-29 19:22:28 UTC
Created attachment 1174171 [details]
File: exploitable

Comment 7 Thomas Wöckinger 2016-06-29 19:22:30 UTC
Created attachment 1174172 [details]
File: limits

Comment 8 Thomas Wöckinger 2016-06-29 19:22:32 UTC
Created attachment 1174173 [details]
File: maps

Comment 9 Thomas Wöckinger 2016-06-29 19:22:33 UTC
Created attachment 1174174 [details]
File: mountinfo

Comment 10 Thomas Wöckinger 2016-06-29 19:22:34 UTC
Created attachment 1174175 [details]
File: namespaces

Comment 11 Thomas Wöckinger 2016-06-29 19:22:35 UTC
Created attachment 1174176 [details]
File: open_fds

Comment 12 Thomas Wöckinger 2016-06-29 19:22:37 UTC
Created attachment 1174177 [details]
File: proc_pid_status

Comment 13 Thomas Wöckinger 2016-06-29 19:22:38 UTC
Created attachment 1174178 [details]
File: var_log_messages

Comment 14 Orion Poplawski 2016-06-29 19:48:52 UTC
Upstream report: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1050

Comment 15 Stuart D Gathman 2016-06-29 22:50:26 UTC
Similar problem has been detected:

Logged out of remote session.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        x2goclient
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     29637
kernel:         4.5.6-300.fc24.x86_64
package:        x2goclient-4.0.5.1-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Thomas Wöckinger 2016-10-25 09:39:05 UTC
*** Bug 1388408 has been marked as a duplicate of this bug. ***

Comment 17 Orion Poplawski 2017-01-04 22:45:45 UTC
*** Bug 1409257 has been marked as a duplicate of this bug. ***

Comment 18 Orion Poplawski 2017-02-01 20:35:58 UTC
*** Bug 1418440 has been marked as a duplicate of this bug. ***

Comment 19 Oliver Sampson 2017-03-03 10:45:47 UTC
Similar problem has been detected:

o Login with X2Go to remote server.
o excecute command "pkill -u userid" on remote server
o X2Go crashes.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient -session 10cfe56168000148838395500000014740017_1488535044_436081
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     1702
kernel:         4.9.12-200.fc25.x86_64
package:        x2goclient-4.0.5.2-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Oliver Sampson 2017-07-10 08:19:29 UTC
Similar problem has been detected:

I quickly closed one session and started a new session on a different remote machine.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        x2goclient -session 1032924d28f2ac000149812123500000123860016_1499439991_476775
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     14382
kernel:         4.11.8-200.fc25.x86_64
package:        x2goclient-4.1.0.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Fedora End Of Life 2017-07-25 21:26:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2017-08-08 15:10:41 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 Oliver Sampson 2017-10-08 18:57:57 UTC
Similar problem has been detected:

When using x2go over a VPN, it crashes. A lot. 

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        x2goclient -session 10cfe56168000150704828600000017650019_1507419020_734810
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     3233
kernel:         4.12.14-200.fc25.x86_64
package:        x2goclient-4.1.0.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 Oliver Sampson 2017-11-15 11:48:25 UTC
Similar problem has been detected:

Switching quickly between different remote hosts is a reliable way to cause x2goclient to crash.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient -session 1032924d28f2ac000150823900300000025000014_1510317220_263502
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     3480
kernel:         4.13.12-100.fc25.x86_64
package:        x2goclient-4.1.0.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         x2goclient killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Fedora End Of Life 2017-11-16 15:37:30 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2017-12-12 10:35:14 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.